Skills
Update a skill
Modifies the specified skill's configuration.
Параметры пути
name
string
обязательно
The name of the skill to update.
Параметры заголовка
Foundry-Features
enum
обязательно
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Текст запроса
default_version
string
обязательно
The version identifier that the skill should point to. When set, the skill's default version will resolve to this version instead of the latest.
Ответы
The request has succeeded.
Текст
id
string
обязательно
The unique identifier of the skill.
name
string
обязательно
A skill name following the agentskills.io spec: lowercase letters, numbers, and hyphens only. Must not start or end with a hyphen or contain consecutive hyphens.
description
string
обязательно
A human-readable description of the skill.
default_version
string
обязательно
The default version for the skill. Can be changed via updateSkill.
latest_version
string
обязательно
The latest version for the skill.
Запрос
POST /skills/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json